Bug 110902 - New entry for magic(5) file
Summary: New entry for magic(5) file
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: file (Show other bugs)
(Show other bugs)
Version: 1
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-25 13:15 UTC by Jan "Yenya" Kasprzak
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-30 15:11:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
magic(5) addition (331 bytes, text/plain)
2003-11-25 13:17 UTC, Jan "Yenya" Kasprzak
no flags Details

Description Jan "Yenya" Kasprzak 2003-11-25 13:15:13 UTC
Description of problem:
I want to add a new entry to the system /usr/share/magic file,
but I cannot figure out where is the master source. The links
to Eric S. Raymond's page at Tuxedo.org seem inoperable. So I am
entering this to RH bugzilla, hopefully the maintainers will know
to whom report new magic numbers or add this at least to Fedora
version of magic(5) file.

Anyways, I want to add a magic number of the "raw" images generated by
 Minolta Dimage digital cameras. These files start with "\000MRM", so
the magic(5) addition should look like this:

#------------------------------------------------------------------------------
# Minolta:  file(1) magic for Minolta Dimage digital cameras
#
# From Jan "Yenya" Kasprzak <kas@fi.muni.cz>
# description of *.mrw format is at
http://www.dalibor.cz/minolta/raw_file_format.htm
0       string          \000MRM         Minolta Dimage camera raw
image data
                                                                     
          

Version-Release number of selected component (if applicable):
file-4.02-2

Additional info:
Add the above to RedHat/Fedora magic(5) file or push this upstream or
let me know where the master source is. Thanks.

Comment 1 Jan "Yenya" Kasprzak 2003-11-25 13:17:03 UTC
Created attachment 96176 [details]
magic(5) addition

Original post has mangled tabs and newlines, so I am creating the attachment.

Comment 2 Jan "Yenya" Kasprzak 2003-11-27 21:49:47 UTC
I have found that probably Christos Zoulas is the current maintainer
of file(1) and magic(5) - his source tarball is available at
ftp://ftp.astron.com/pub/file/. I have submitted the above entry to
him. Please consider upgrading the Fedora version of file(1) to his
sources.

Comment 3 Jeff Johnson 2003-11-30 15:11:55 UTC
file is pretty routinely updated when available. Resolved to upstream.


Note You need to log in before you can comment on or make changes to this bug.